import { useX6ActionContext } from "..";
import styles from "./index.module.css";
import { Node } from "@antv/x6";

const ConditionBtn = ({ node }: { node: Node }) => {
  const { addCondition } = useX6ActionContext();
  const id = node.id;
  return (
    <div className={styles.rect} onClick={() => addCondition!(id)}>
      添加条件
    </div>
  );
};

export default ConditionBtn;
